> ## Documentation Index
> Fetch the complete documentation index at: https://docs.together.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the list of project volumes

> Retrieve all volumes in your project



## OpenAPI

````yaml openapi.yaml GET /deployments/storage/volumes
openapi: 3.1.0
info:
  title: Together APIs
  description: The Together REST API. See https://docs.together.ai for more details.
  version: 2.0.0
  termsOfService: https://www.together.ai/terms-of-service
  contact:
    name: Together Support
    url: https://www.together.ai/contact
  license:
    name: MIT
    url: https://github.com/togethercomputer/openapi/blob/main/LICENSE
servers:
  - url: https://api.together.ai/v1
    description: Default environment for APIs
  - url: https://api-inference.together.ai/v2
    description: Optimized environment for inference
security:
  - bearerAuth: []
paths:
  /deployments/storage/volumes:
    get:
      tags:
        - DeploymentsVolumes
      summary: Get the list of project volumes
      description: Retrieve all volumes in your project
      responses:
        '200':
          description: List of volumes
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListVolumesResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
      x-codeSamples:
        - lang: Python
          label: Together AI SDK (Python)
          source: |
            from together import Together
            client = Together()

            volumes = client.beta.jig.storage.volumes.list()
            print(volumes)
        - lang: TypeScript
          label: Together AI SDK (TypeScript)
          source: |
            import Together from "together-ai";
            const client = new Together();

            const volumes = await client.beta.jig.storage.volumes.list();
            console.log(volumes);
        - lang: JavaScript
          label: Together AI SDK (JavaScript)
          source: |
            import Together from "together-ai";
            const client = new Together();

            const volumes = await client.beta.jig.storage.volumes.list();
            console.log(volumes);
        - lang: Shell
          label: cURL
          source: |
            curl -X GET \
                  -H "Authorization: Bearer $TOGETHER_API_KEY" \
                  https://api.together.ai/v1/deployments/storage/volumes
components:
  schemas:
    ListVolumesResponse:
      properties:
        data:
          description: Data is the array of volume items
          items:
            $ref: '#/components/schemas/VolumeResponseItem'
          type: array
        object:
          description: The object type, which is always `list`.
          const: list
      type: object
    VolumeResponseItem:
      properties:
        content:
          $ref: '#/components/schemas/VolumeContent'
        created_at:
          description: CreatedAt is the ISO8601 timestamp when this volume was created
          type: string
        current_version:
          description: CurrentVersion is the current version number of this volume
          type: integer
        id:
          description: ID is the unique identifier for this volume
          type: string
        mounted_by:
          description: >-
            MountedBy is the list of deployment IDs currently mounting current
            volume version
          items:
            type: string
          type: array
          uniqueItems: false
        name:
          description: Name is the name of the volume
          type: string
        object:
          description: Object is the type identifier for this response (always "volume")
          type: string
        status:
          $ref: '#/components/schemas/VolumeStatus'
          description: Status of the current volume version.
        status_message:
          description: >-
            Message explaining why the current volume version failed, when
            applicable.
          type: string
        type:
          $ref: '#/components/schemas/VolumeType'
        updated_at:
          description: UpdatedAt is the ISO8601 timestamp when this volume was last updated
          type: string
        version_history:
          additionalProperties:
            $ref: '#/components/schemas/VersionHistoryItem'
          description: >-
            VersionHistory contains previous versions of this volume, keyed by
            version number
          type: object
      type: object
    VolumeContent:
      description: Content currently available on a volume version.
      properties:
        files:
          description: >-
            Files is the list of files to preload into the volume, if the volume
            content type is "files".
          items:
            $ref: '#/components/schemas/FileInfo'
          type: array
          uniqueItems: false
        origin:
          $ref: '#/components/schemas/VolumeOrigin'
          description: External source Together copied into this volume version.
        source_prefix:
          description: >-
            SourcePrefix is the file path prefix for the content to be preloaded
            into the volume
          example: models/
          type: string
        type:
          description: >-
            Type is the content type (currently only "files" is supported which
            allows preloading files uploaded via Files API into the volume)
          enum:
            - files
          example: files
          type: string
      type: object
    VolumeStatus:
      description: Status of a volume version. Only ready versions can be mounted.
      enum:
        - ready
        - pending
        - syncing
        - failed
      type: string
      x-enum-varnames:
        - VolumeStatusReady
        - VolumeStatusPending
        - VolumeStatusSyncing
        - VolumeStatusFailed
    VolumeType:
      enum:
        - readOnly
      type: string
      x-enum-varnames:
        - VolumeTypeReadOnly
    VersionHistoryItem:
      description: Metadata for a previous volume version.
      properties:
        content:
          $ref: '#/components/schemas/VolumeContentRequest'
          description: Content configuration used to create this version.
        mounted_by:
          description: Deployment IDs currently mounting this version.
          items:
            type: string
          type: array
          uniqueItems: false
        status:
          $ref: '#/components/schemas/VolumeStatus'
          description: Status of this volume version.
        status_message:
          description: Message explaining why this volume version failed, when applicable.
          type: string
        version:
          description: Numeric version identifier for this volume content.
          type: integer
      type: object
    FileInfo:
      properties:
        last_modified:
          description: LastModified is the timestamp when the file was last modified
          type: string
        name:
          description: Name is the filename including extension (e.g., "model_weights.bin")
          type: string
        size:
          description: Size is the file size in bytes
          type: integer
      type: object
    VolumeOrigin:
      description: External source Together copies into a new volume version.
      properties:
        s3:
          $ref: '#/components/schemas/S3Origin'
          description: S3 bucket or prefix source for the volume sync.
      required:
        - s3
      type: object
    VolumeContentRequest:
      description: Content specifies the new content to preload to this volume.
      properties:
        origin:
          $ref: '#/components/schemas/VolumeOrigin'
          description: >-
            External source Together copies into a new volume version; mutually
            exclusive with source_prefix.
        source_prefix:
          description: >-
            SourcePrefix is the file path prefix for the content to be preloaded
            into the volume. Mutually exclusive with Origin
          example: models/
          type: string
        type:
          description: >-
            Type is the content type (currently only "files" is supported which
            allows preloading files uploaded via Files API into the volume)
          enum:
            - files
          example: files
          type: string
      type: object
    S3Origin:
      description: S3 source configuration for volume sync.
      properties:
        role_arn:
          description: IAM role ARN Together assumes to read the S3 bucket or prefix.
          example: arn:aws:iam::123456789012:role/together-volumes
          type: string
        uri:
          description: S3 bucket or prefix to copy into the volume.
          example: s3://my-bucket/models/custom-weights
          type: string
      required:
        - role_arn
        - uri
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      x-bearer-format: bearer
      x-default: default

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.